# pandas.core.style.Styler.set_properties

`Styler.``set_properties`(subset=None, **kwargs)

  Convience method for setting one or more non-data dependent properties or each cell.

  New in version 0.17.1.

  Parameters:

  subset: IndexSlice

  > a valid slice for `data` to limit the style application to

  kwargs: dict

  > property: value pairs to be set for each cell

  Returns: | self : Styler

  Examples

      >>> df = pd.DataFrame(np.random.randn(10, 4))
      >>> df.style.set_properties(color="white", align="right")